Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython3.PSI Class Reference
Inheritance diagram for FoxitPDFSDKPython3.PSI:

## Public Member Functions
def | PSI (bitmap, simulate)
| Constructor, with a bitmap as canvas. More...
def | PSI (other)
| Constructor, with another PSI object. More...
def | PSI (width, height, simulate)
| Constructor, with specified width and height for canvas. More...
def | AddPoint (point, type, pressure)
| Add a point. More...
def | ConvertToPDFAnnot (page, annot_rect, rotate)
| Convert a PSI object to a PSInk annotation and insert the PSInk annotation to a PDF page. More...
def | GetBitmap ()
| Get the canvas bitmap. More...
def | GetContentsRect ()
| Get contents rectangle. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | SetCallback (callback)
| Set a callback object for refreshing. More...
def | SetColor (color)
| Set ink color. More...
def | SetDiameter (diameter)
| Set ink diameter. More...
def | SetOpacity (opacity)
| Set ink opacity. More...

## Detailed Description

PSI, "pressure sensitive ink", is specially defined for manual signature, and usually works together with a handwriting board or for a touchscreen. PSI contains private coordinates, and a canvas is created in its coordinates. Canvas limits operating area and generates appearance of PSI.
PSI is independent of PDF, and can even be used directly in the device screen. If user wants to save a PSI object to PDF file, please call function FoxitPDFSDKPython3.PSI.ConvertToPDFAnnot . This function will convert PSI data to a PSInk annotation (as a Foxit custom annotation type) and insert the PSInk annotation to the specified position in a PDF page.

See also
  FoxitPDFSDKPython3.PSInk

## Constructor & Destructor Documentation

## ◆ PSI() [1/3]

def FoxitPDFSDKPython3.PSI.PSI | ( |  | bitmap,
|  |  | simulate
| ) |  |

Constructor, with a bitmap as canvas.

Parameters

  [in] | bitmap | A bitmap used as canvas. It should be created with FoxitPDFSDKPython3.Bitmap.e_DIBArgb format. User should ensure this bitmap to keep valid until current PSI object is released.
  [in] | simulate | Used to decide whether to turn on simulation of PSI or not: true means to turn on simulation, and false means to turn off simulation. It can simulate handwriting weights by writing speed when simulation is on.

## ◆ PSI() [2/3]

def FoxitPDFSDKPython3.PSI.PSI | ( |  | width,
|  |  | height,
|  |  | simulate
| ) |  |

Constructor, with specified width and height for canvas.

Parameters

  [in] | width | Width of PSI canvas in device coordinate system. This shall be greater than 0.
  [in] | height | Height of PSI canvas in device coordinate system. This shall be greater than 0.
  [in] | simulate | Used to decide whether to turn on simulation of PSI or not: true means to turn on simulation, and false means to turn off simulation. It can simulate handwriting weights by writing speed when simulation is on.

## ◆ PSI() [3/3]

def FoxitPDFSDKPython3.PSI.PSI | ( |  | other | ) |

Constructor, with another PSI object.

Parameters

  [in] | other | Another PSI object.

## Member Function Documentation

## ◆ AddPoint()

def FoxitPDFSDKPython3.PSI.AddPoint | ( |  | point,
|  |  | type,
|  |  | pressure
| ) |  |

Add a point.

Parameters

  [in] | point | A point in canvas coordinate system.
  [in] | type | Point type. This should be one of following values: FoxitPDFSDKPython3.Path.e_TypeMoveTo , FoxitPDFSDKPython3.Path.e_TypeLineTo , FoxitPDFSDKPython3.Path.e_TypeLineToCloseFigure ,
  [in] | pressure | Pressure value for this point. Valid range: from 0.0 to 1.0.

Returns
  None.

## ◆ ConvertToPDFAnnot()

def FoxitPDFSDKPython3.PSI.ConvertToPDFAnnot | ( |  | page,
|  |  | annot_rect,
|  |  | rotate
| ) |  |

Convert a PSI object to a PSInk annotation and insert the PSInk annotation to a PDF page.

Actually, this function is to convert the path data of current PSI to a PSInk annotation, ignoring the canvas bitmap.
Before calling this function, user should ensure that current PSI object has contained a valid path (whose last point's type is FoxitPDFSDKPython3.Path.e_TypeLineToCloseFigure . Otherwise, the conversion will be failed and this function will throw exception FoxitPDFSDKPython3.e_ErrInvalidData .

Parameters

  [in] | page | A valid PDF page object, to which the PSI is expected to inserted.
  [in] | annot_rect | A rectangle to specify the position in the PDF page, where the new PSInk annotation will be inserted. It should be valid in [PDF coordinate system] ().
  [in] | rotate | Rotation value. Currently, it can only be FoxitPDFSDKPython3.e_Rotation0 .

Returns
  A new PSInk annotation object.

Note
  User do not need to call function FoxitPDFSDKPython3.Annot.ResetAppearanceStream (inherited from PSInk's parent class) to reset the appearance of PSInk annotation after this conversion.

## ◆ GetBitmap()

def FoxitPDFSDKPython3.PSI.GetBitmap | ( |  | ) |

Get the canvas bitmap.

Returns
  Canvas bitmap.

## ◆ GetContentsRect()

def FoxitPDFSDKPython3.PSI.GetContentsRect | ( |  | ) |

Get contents rectangle.

Returns
  Contents rectangle, in device coordinate system. If current PSI object does not contain a valid path, a RectF object with all 0 values would be returned.

## ◆ IsEmpty()

def FoxitPDFSDKPython3.PSI.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetCallback()

def FoxitPDFSDKPython3.PSI.SetCallback | ( |  | callback | ) |

Set a callback object for refreshing.

Parameters

  [in] | callback | A callback object PSICallback which is implemented by user. Please ensure that the callback object keeps valid until the life-cycle of current PSI object ends.

Returns
  None.

## ◆ SetColor()

def FoxitPDFSDKPython3.PSI.SetColor | ( |  | color | ) |

Set ink color.

This should be set before adding first point to PSI object. If not set, the default value 0x000000 will be used.

Parameters

  [in] | color | Ink color. Format: 0xRRGGBB.

Returns
  None.

## ◆ SetDiameter()

def FoxitPDFSDKPython3.PSI.SetDiameter | ( |  | diameter | ) |

Set ink diameter.

This should be set before adding first point to PSI object. If not set, the default value 10 will be used.

Parameters

  [in] | diameter | Ink diameter. This should be bigger than 1.

Returns
  None.

## ◆ SetOpacity()

def FoxitPDFSDKPython3.PSI.SetOpacity | ( |  | opacity | ) |

Set ink opacity.

This should be set before adding first point to PSI object. If not set, the default value 1.0 will be used.

Parameters

  [in] | opacity | Ink opacity. Valid range: from 0.0 to 1.0. 0.0 means full transparency and 1.0 means full opaque.

Returns
  None.